Bug 94597 - Messy character alignment and cursor move after AutoCorrect
Summary: Messy character alignment and cursor move after AutoCorrect
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2015-09-29 09:23 UTC by Marc PHILIPPE
Modified: 2018-08-26 15:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
odt + 2 screenshots (342.88 KB, application/zip)
2015-09-29 09:23 UTC, Marc PHILIPPE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc PHILIPPE 2015-09-29 09:23:17 UTC
Created attachment 119115 [details]
odt + 2 screenshots

Tested and buggy on:
(1) Operating System: Windows 10
    Version: 5.0.2 release (x64)
(2) Operating System: Windows 7
    Version: 5.0.2 release

Problem description: 

Steps to reproduce:
1. Make sure AutoCorrect in on;
2. Type some text;
3. Insert -> into the text 
   (automatically converted to right arrow by LO);

Current behavior:
* Incorrect alignment of:
  - characters,
  - spaces and 
  - paragraph mark;
* Incorrect cursor positioning

Font used on both systems: Palatino Linotype.
But the same behaviour can be reproduced with other fonts.

Attachment: ZIP with
- odt
- screenshot W7
- screenshot W10
Comment 1 Marc PHILIPPE 2015-09-29 09:32:52 UTC
It's a REGRESSION:
correct behaviour in LO 5.0.1 release (x64).
Comment 2 Buovjaga 2015-10-02 08:58:45 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 25de5cfa43b2b1cb7d7214470acc7719839e13fe
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-01_08:49:54
Locale: en-US (fi_FI)
Comment 3 raal 2015-10-16 11:46:20 UTC
This seems to have begun at the below commit.
Adding Cc: to tml@collabora.com ; Could you possibly take a look at this one? Thanks

7f0371ad242095657660bb4862bcdfa4a28b4e2c is the first bad commit
commit 7f0371ad242095657660bb4862bcdfa4a28b4e2c
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Aug 11 23:27:51 2015 -0700

    source sha:4667db065d34193d99bce82f7e8f3b20a03ecade

    source sha:4667db065d34193d99bce82f7e8f3b20a03ecade

author	Tor Lillqvist <tml@collabora.com>	2015-08-12 05:18:50 (GMT)
committer	Tor Lillqvist <tml@collabora.com>	2015-08-12 06:14:20 (GMT)
commit	4667db065d34193d99bce82f7e8f3b20a03ecade (patch)
Drop SimpleWinLayout
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:14:27 UTC Comment hidden (obsolete)
Comment 5 Marc PHILIPPE 2016-02-24 06:26:43 UTC
This bug affects the behaviour of bug 82604.
Comment 6 Björn Michaelsen 2016-03-26 10:56:07 UTC
see also bugs 94836, 95194: regressions caused by the same commit.
Comment 7 Xisco Faulí 2016-09-26 16:06:43 UTC
Adding Cc: to Tor Lillqvist
Comment 8 Xisco Faulí 2017-09-29 08:49:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929